Send Subscription Declined
curl --request POST \
--url https://{host}/Agent/Xmpp/SendSubscriptionDeclined \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"to": "<string>",
"id": "<string>"
}
'import requests
url = "https://{host}/Agent/Xmpp/SendSubscriptionDeclined"
payload = {
"to": "<string>",
"id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({to: '<string>', id: '<string>'})
};
fetch('https://{host}/Agent/Xmpp/SendSubscriptionDeclined', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sent": true,
"id": "<string>"
}XMPP messaging
Send Subscription Declined
Allows the client to decline a presence subscription made to its account.
POST
/
Agent
/
Xmpp
/
SendSubscriptionDeclined
Send Subscription Declined
Overview
Allows the client to decline a presence subscription made to its account.Authentication
Requires a valid JWT bearer token.Notes
This endpoint uses the request schema notation described in Pattern matching.⌘I